:root {
  --primary-color: #A3238e;
  --dark-bg: #424242;
  --light-gray: #f4f4f4;
}

@font-face {
  font-family: peyda;
  src: url("font/Peyda-Medium.ttf") format("truetype");
}

body{
  font-family: 'peyda';
  background: radial-gradient(
    circle at top right,
    rgba(175, 6, 164, 0.02),
    transparent 32%
  ),
  linear-gradient(180deg, #fcfafc 0%, #f9f6f9 100%);
}

.contact-page {
  direction: rtl;
  margin: 60px 0 50px 0;
  padding: 60px 20px;
  display: flex;
  justify-content: center;
  font-family: "peyda";
}

.contact-container {
  display: flex;
  gap: 20px;
  width: 90%;
  max-width: 1100px;
  background: white;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0 15px 45px rgba(0, 0, 0, 0.1);
}

.contact-form-section {
  flex: 1;
  padding: 40px;
}

.contact-form-section h2 {
  color: var(--dark-bg);
  margin-bottom: 10px;
}

.contact-form-section p {
  color: #777;
  font-size: 14px;
  margin-bottom: 30px;
}

.input-group {
  margin-bottom: 20px;
}

.input-group input,
.input-group textarea {
  width: 100%;
  padding: 12px 15px;
  border: 1px solid #ddd;
  border-radius: 10px;
  outline: none;
  font-family: inherit;
  transition: 0.3s;
}

.input-group input:focus,
.input-group textarea:focus {
  border-color: var(--primary-color);
  box-shadow: 0 0 5px rgba(175, 6, 164, 0.2);
}

.submit-btn {
  background-color: var(--primary-color);
  color: white;
  border: none;
  padding: 12px 35px;
  border-radius: 50px;
  cursor: pointer;
  font-weight: bold;
  transition: 0.3s;
  font-family: peyda;
}

.submit-btn:hover {
  background-color: #8e0584;
  transform: translateY(-2px);
}

.contact-info-section {
  flex: 0.8;
  background-color: var(--dark-bg);
  color: white;
  padding: 40px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
}

.contact-info-section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--primary-color);
  opacity: 0.9;
  z-index: 1;
}

.info-content {
  position: relative;
  z-index: 2;
}

.info-content h3 {
  font-size: 1.2rem;
  margin-bottom: 10px;
  opacity: 0.8;
}

.info-content h1 {
  font-size: 2.2rem;
  margin-bottom: 40px;
}

.info-item {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-bottom: 25px;
}

.info-item .icon i {
  font-size: 15px;
  background: rgba(255, 255, 255, 0.2);
  width: 30px;
  height: 30px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}

.social-links {
  margin-top: 40px;
  display: flex;
  gap: 15px;
}

.contact-icon{
  text-decoration: none;
  font-size: 13px;
  background: rgba(255, 255, 255, 0.1);
  color: #fff;
  padding: 5px 15px;
  border-radius: 20px;
  transition: 0.3s ease all;
}

.contact-icon i{
  margin-left: 5px;
}

.contact-icon:hover{
  transform: translateY(-3px);
}

@media (max-width: 900px) {
  .contact-container {
    flex-direction: column-reverse;
  }
  .contact-info-section {
    padding: 30px;
    text-align: center;
  }
  .contact-page{
    margin: 10px 0 20px 0;
  }
  .contact-form-section{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
  }
  .info-item {
    justify-content: center;
  }
  .social-links {
    justify-content: center;
  }
}
